#
# make the Windows executable distribution
#

rm -rf csed
mkdir csed
mkdir csed/src
cp sed.h sedcomp.c sedexec.c csed/src
sed -f version.sed changelog.txt > csed/src/version.c
cp changelog.txt csed
cp COPYING csed/copying.txt
sed '/How to install/,/4)/c\
(This archive contains only the Win32 executable and the source. \
The full source code archive also contains a test suite, which needs \
too many Unix tools to run on an ordinary Win32 platform.)' \
  README > csed/readme.txt


(
  CFLAGS="-mno-cygwin -W -Wall -ansi --pedantic -O2 -s"
  cd csed/src; gcc $CFLAGS *.c -o ../csed.exe
)

version=`sed 's/^#.*"\(.*\)".*/\1/p;d' csed/src/version.c`
zipfile=csed-${version}.zip
rm -f $zipfile

cd csed
# perform CR LF conversion on the text files 
zip -q -9 -l -r ../$zipfile . -x csed.exe
# add the executable untouched
zip -q -9 ../$zipfile csed.exe
cd ..
rm -rf csed

echo $zipfile done.
