#!/bin/sh

n=0
for f in $*
do
  (echo $n; cat $f) | ./sed -f tb/tb.sed > tb/$f
  if test ! -s tb.dat 
  then 
    echo error 1>&2
    tail -1 tb/$f 1>&2
    exit 1 
  fi
  n=`cat tb.dat`
  echo $f: $n
done

cat <<EOF >tb/tb.h
#ifndef TB_H
#define TB_H
extern char tb[];
#define TB_N $n
#define TB(n) (tb[n]=1)
#endif /* TB_H */
EOF

rm -f tb.dat



